using R3;
using UnityEngine;
using UnityEngine.UI;

public class SimpleR3Test : UIBase
{
    public SerializableReactiveProperty<float> value = new(0);

    public InputField inputField;
    public Scrollbar scrollbar;

    public override void OnCreate()
    {
        value.BindToScrollbar(scrollbar).AddTo(this);
        value.BindToInputField(inputField).AddTo(this);
    }
}